Qore SqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
SQL Join Operators

## Variables
const | SqlUtil::JOP_INNER = "inner"
| for standard inner joins More...
const | SqlUtil::JOP_LEFT = "left"
| for left outer joins More...
const | SqlUtil::JOP_RIGHT = "right"
| for right outer joins More...
const | SqlUtil::JopMap
| a hash of valid column operators

## Detailed Description

These are the operators that can be used in the join argument in a select option hash

Note
  these operators are normally not used directly, but rather are used by the SQL Join Operator Functions

## Variable Documentation

const SqlUtil::JOP_INNER = "inner"

for standard inner joins

See Also
  join_inner()

const SqlUtil::JOP_LEFT = "left"

for left outer joins

See Also
  join_left()

const SqlUtil::JOP_RIGHT = "right"

for right outer joins

See Also
  join_right()